package com.rv.im;

import android.content.Context;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.TextUtils;
import android.widget.Button;
import android.widget.TextView;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseStatusActivity;
import com.ruiwenliu.wrapper.weight.TitleView;
import com.rv.im.bean.UserDetailBean;
import com.rv.im.db.service.FriendServiceImp;
import com.rv.im.presenter.UserDetailPresenter;
import com.rv.im.view.RoundImageView;

public class UserDetailActivity extends BaseStatusActivity<UserDetailPresenter> {

    private static final String KEY_USER_ID = "userId";

    private String userId;

    private String mLoginUserId;

    private RoundImageView avatarImg;
    private TextView nameTv;
    private TextView renameTv;
    private TextView sexTv;
    private TextView birthdayTv;
    private TextView cityText;
    private TextView phoneTv;
    private TextView onlineTv;

    private Button btnNextStep;

    public static void start(Context ctx, String userId) {
        Intent intent = new Intent(ctx, UserDetailActivity.class);
        Bundle bundle = new Bundle();
        bundle.putString(KEY_USER_ID, userId);
        intent.putExtras(bundle);
        ctx.startActivity(intent);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    protected int setLayout() {
        return R.layout.activity_user_detail;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {
        titleView.setTitle("基本信息");
        initWeight();
    }

    @Override
    protected void loadData(Bundle savedInstanceState, Intent intent) {
        super.loadData(savedInstanceState, intent);
        if (intent != null) {
            userId = intent.getStringExtra(KEY_USER_ID);
        }
        mLoginUserId = ImSetting.getUserId();
        if (TextUtils.isEmpty(userId)) {
            userId = mLoginUserId;
        }
        mPresenter.loadOtherInfoFromNet(userId);
    }

    private void initWeight() {
        nameTv = findViewById(R.id.name_tv);
        avatarImg = findViewById(R.id.avatar_img);
        renameTv = findViewById(R.id.rename_tv);
        sexTv = findViewById(R.id.sex_tv);
        birthdayTv = findViewById(R.id.birthday_tv);
        cityText = findViewById(R.id.city_text);
        phoneTv = findViewById(R.id.phone_tv);
        onlineTv = findViewById(R.id.online_tv);
        btnNextStep = findViewById(R.id.next_step_btn);
    }


    @Override
    public void onShowResult(int requestType, BaseBean result) {

        switch (requestType) {
            case 0:
                if (result != null && result.resultCode == 1) {
                    UserDetailBean userDetailBean = (UserDetailBean) result;
                    updateUi();
                }
                break;
        }
    }

    private void updateUi() {
    }
}
